> For the complete documentation index, see [llms.txt](https://www.center.daxium-air.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.center.daxium-air.com/api-reference/doc-api/applications-personnalisees.md).

# Applications personnalisées

## Lister les applications personnalisées

> Retourne toutes les applications personnalisées au format court.\
> Si aucune n'est configurée, retourne l'application par défaut au format complet.<br>

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"customapps"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Nom court de l'instance (ex. `daxium-test`)","schema":{"type":"string"}}},"schemas":{"CustomAppSummary":{"type":"object","description":"Résumé d'une application personnalisée","properties":{"id":{"type":"integer","description":"Identifiant"},"name":{"type":"string","description":"Nom"},"created_at":{"type":"integer","format":"int64","description":"Date de création (timestamp UNIX)"},"updated_at":{"type":"integer","format":"int64","description":"Date de modification (timestamp UNIX)"}}}}},"paths":{"/{app_short}/customapps":{"get":{"summary":"Lister les applications personnalisées","description":"Retourne toutes les applications personnalisées au format court.\nSi aucune n'est configurée, retourne l'application par défaut au format complet.\n","tags":["customapps"],"operationId":"listCustomApps","parameters":[{"$ref":"#/components/parameters/AppShort"}],"responses":{"200":{"description":"Liste des applications personnalisées","content":{"application/json":{"schema":{"type":"object","properties":{"apps":{"type":"array","items":{"$ref":"#/components/schemas/CustomAppSummary"}},"total_count":{"type":"integer"},"total_pages":{"type":"integer"},"server_time":{"type":"integer","format":"int64"}}}}}}}}}}}
```

## Récupérer une application personnalisée

> Retourne une application personnalisée par son identifiant.

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"customapps"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Nom court de l'instance (ex. `daxium-test`)","schema":{"type":"string"}}},"schemas":{"CustomApp":{"allOf":[{"$ref":"#/components/schemas/CustomAppSummary"},{"type":"object","properties":{"banner":{"type":"object","additionalProperties":true,"description":"Bannière de l'application"},"splash":{"type":"object","description":"Écran de démarrage","properties":{"active":{"type":"boolean","description":"Afficher l'écran de démarrage au lancement"},"image":{"type":"string","description":"UUID du fichier image"},"color":{"type":"string","description":"Couleur de fond (hexadécimal)"},"aspect":{"type":"string","enum":["fit","fill"],"description":"`fit` s'adapte à l'espace disponible, `fill` le remplit"},"created_at":{"type":"integer","format":"int64"},"updated_at":{"type":"integer","format":"int64"}}},"menus":{"type":"array","description":"Éléments du menu","items":{"type":"object","properties":{"index":{"type":"integer","description":"Position dans le menu"},"target":{"type":"string","description":"Action déclenchée lors de l'interaction"},"label":{"type":"object","additionalProperties":{"type":"string"},"description":"Libellés localisés (clé = code locale, ex. `fr`, `en`)"},"icon":{"type":"object","properties":{"type":{"type":"string"},"value":{"type":"string"}}},"created_at":{"type":"integer","format":"int64"},"updated_at":{"type":"integer","format":"int64"}}}},"screens":{"type":"array","description":"Écrans de l'application","items":{"type":"object","properties":{"name":{"type":"string","description":"Nom identifiant l'écran"},"created_at":{"type":"integer","format":"int64"},"updated_at":{"type":"integer","format":"int64"},"pages":{"type":"array","description":"Pages composant l'écran","items":{"type":"object","properties":{"system_name":{"type":"string","description":"Nom système de la page"},"title":{"type":"object","additionalProperties":{"type":"string"},"description":"Titre localisé"},"side_menu":{"type":"boolean","description":"Afficher le menu latéral sur cette page"},"widgets":{"type":"array","description":"Boutons affichés sur la page","items":{"type":"object","properties":{"type":{"type":"string","description":"Type de bouton"},"index":{"type":"integer","description":"Position d'affichage"},"label":{"type":"object","additionalProperties":{"type":"string"},"description":"Libellé localisé"},"color":{"type":"string","description":"Couleur de fond (hexadécimal)"},"target":{"type":"string","description":"Action déclenchée lors de l'interaction"},"icon":{"type":"object","additionalProperties":true,"description":"Icône du bouton"},"background":{"type":"string","description":"UUID de l'image de fond (type `full`)"}}}},"layout":{"type":"array","description":"Disposition des widgets","items":{"type":"object","properties":{"x":{"type":"integer","description":"Coordonnée X"},"y":{"type":"integer","description":"Coordonnée Y"},"width":{"type":"integer","description":"Largeur relative"},"height":{"type":"integer","description":"Hauteur relative"}}}}}}}}}},"settings":{"type":"array","items":{},"description":"Paramètres de l'application"},"groups":{"type":"array","items":{},"description":"Groupes ayant accès à l'application"},"widget_spacing":{"type":"integer","enum":[0,1],"description":"`0` = mode plat, `1` = mode standard"},"button_type":{"type":"string","enum":["standard","mix","full"],"description":"`standard` = icône Font Awesome, `mix` = icône image, `full` = image de fond"},"label_overlay":{"type":"boolean","description":"Afficher le bandeau sous les libellés des boutons"},"grant_all":{"type":"boolean","description":"Accessible à tous les utilisateurs ou non"}}}]},"CustomAppSummary":{"type":"object","description":"Résumé d'une application personnalisée","properties":{"id":{"type":"integer","description":"Identifiant"},"name":{"type":"string","description":"Nom"},"created_at":{"type":"integer","format":"int64","description":"Date de création (timestamp UNIX)"},"updated_at":{"type":"integer","format":"int64","description":"Date de modification (timestamp UNIX)"}}}}},"paths":{"/{app_short}/customapps/{app_id}":{"get":{"summary":"Récupérer une application personnalisée","description":"Retourne une application personnalisée par son identifiant.","tags":["customapps"],"operationId":"getCustomApp","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"app_id","in":"path","required":true,"description":"Identifiant de l'application personnalisée","schema":{"type":"integer"}}],"responses":{"200":{"description":"Détails de l'application personnalisée","content":{"application/json":{"schema":{"type":"object","properties":{"app":{"$ref":"#/components/schemas/CustomApp"},"total_count":{"type":"integer"},"total_pages":{"type":"integer"},"server_time":{"type":"integer","format":"int64"},"required":{"type":"object","properties":{"files_uuid":{"type":"array","items":{"type":"string","format":"uuid"}}}}}}}}}}}}}}
```

## GET /{app\_short}/customapps/{app\_id}/file/{file\_uuid}

> Récupérer un fichier d'une application personnalisée

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"customapps"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Nom court de l'instance (ex. `daxium-test`)","schema":{"type":"string"}}}},"paths":{"/{app_short}/customapps/{app_id}/file/{file_uuid}":{"get":{"summary":"Récupérer un fichier d'une application personnalisée","tags":["customapps"],"operationId":"getCustomAppFile","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"app_id","in":"path","required":true,"description":"Identifiant de l'application personnalisée","schema":{"type":"integer"}},{"name":"file_uuid","in":"path","required":true,"description":"Identifiant du fichier (UUID)","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Contenu binaire du fichier","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.center.daxium-air.com/api-reference/doc-api/applications-personnalisees.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
